<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">
	<link rel="stylesheet" href="assets/plugins/cube-portfolio/cubeportfolio/css/cubeportfolio.min.css">
	<link rel="stylesheet" href="assets/plugins/cube-portfolio/cubeportfolio/custom/custom-cubeportfolio.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrAbout-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Yoga is the science of the spirit,<br />a holistic way of living life - in harmony with nature</div>
			</div>
		</div>

		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li class="active">About Us</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">About Us</h1></div>
	
		<div class="content-xs">
			<div class="container">
				<div class="col-md-12"><h1 class="trajan olive">Our Story</h1></div>
				<div class="col-md-7">
					<p class="txt-justify">
						Shreyas is dedicated to promoting the authentic spiritual tradition of Yoga in a holistic manner and is recognized as one of the finest Yoga retreats in the world. What makes Shreyas unique is that, whilst Yoga is taught in traditional ashram style (daily yoga, meditation sessions, chanting classes, gourmet vegetarian cuisine, no alcohol policy and community service), our guests live in a luxurious environment normally associated with a star hotel. 
						We enable our guests to integrate the manifold facets and benefits of Yoga into their daily lives without the austerity and rigor usually associated with ashrams.<br /><br />
						We wish to give our guests a private, tranquil haven to pamper, nourish, detoxify and recharge themselves; and if they have the desire, to provide a road map to guide them down a spiritual path of self-discovery. Every aspect of our resort is dedicated to this purpose:
					</p>	
					<ul>
						<li>Yoga Sessions to rejuvenate and cleanse the body.</li>
						<li>Meditation sessions and other yogic practices to calm the mind.</li>
						<li>Spa treatments to rejuvenate the body and remove toxins.</li>
						<li>Nourishing, organic vegetarian food to detoxify and heal the body.</li>
						<li>An environment and accommodations, which allow the guest to benefit from the positive energy of nature.</li>
						<li>Community service to experience the joy of giving.</li>
						<li>Discussions on yoga philosophy and scriptures.</li>
					</ul>
					<p class="txt-justify">
						Situated just one hour's drive from the Bangalore International Airport, Shreyas is a sprawling oasis of green. With only 12 cottages spread over 25 acres of landscaped greenery, water bodies and organic gardens our guests are able to commune with nature and benefit from its healing power. Shreyas is a seamless blend of the modern and the timeless, luxury and simplicity, indulgence and enlightenment. The private, serene and 'simply' luxurious accommodation has been structured to make the guests feel like they are living in the lap of nature. The architecture and interiors are a confluence of traditional and the modern - tiled roofs, antique doorways and stone pillars give way to contemporary interiors and state of the art facilities.
					</p>	
					<!--a href="" class="btn-u btn-u-olive uc ls-1">Read More</a-->	
					
				</div>	
				<div class="col-md-5">
					<img class="img-responsive" src="./assets/img/about/pic1.png" alt="" />
				</div>
			</div>
		</div>
			
		<div class="container-fluid no-padding">
			<div class="about-video">
				<!--div class="g-heading-v10 g-mb-65 text-center">
					<h2 class="g-color-white">Video</h2>
					<p></p>
				</div-->
				<div class="btnVideoPlay"><a class="cbp-lightbox animated fadeInUp wow" data-wow-duration="2s" data-wow-delay=".5s" data-title="Shreyas Retreat" href="https://youtu.be/bYUTGnoHY00?&amp;rel=0&amp;autoplay=1" data-cbp-lightbox="shreyas-video"><i class="fa fa-play"></i></a></div>
				<div id="cbp-lightbox" class="dp-none"></div>			
			</div>
		</div>
		
		
		<div class="content-sm">
			<div class="container">
				<div class="col-md-5 ourPhilosophyPic">
					<img class="img-responsive" src="./assets/img/about/pic2.png" alt="" />
				</div>
				<div class="col-md-7">
					<h1 class="trajan olive">Our Philosophy</h1>
					<p class="txt-justify">
						'<strong>Athithi devo bhava</strong>' is the defining philosophy at Shreyas. This literally means, 'a Guest is to be served as God.' At Shreyas, we imbibe this philosophy broadly, believing that 'all are essentially divine' and our relationships with each other and especially our guests should reflect this. Our guests are lovingly served with unparalleled personalized attention by a staff that practices yoga and endeavours to embody this philosophy. The staff is encouraged to serve guests as part of their spiritual discipline and not just as a job or career; serving is different from being servile because the focus is on connecting with the divinity inherent in each guest. 
						Practically, this philosophy is applied to the various tasks allocated to people at Shreyas - the kitchen staff commences the cooking process with a prayer and a chant; they adopt the correct attitude or 'bhava' whilst preparing the food; our serving staff learn the importance of anticipating a guest’s needs and serving with the correct attitude; the staff working in the gardens is encouraged to respect nature. All our staff members are taught that cleanliness is godliness and learn to apply daily attention to the smallest details. Our guests are on a journey of self-discovery and the staff at Shreyas is on that same journey.<br /><br />
					
						<h3>Journey of Self Discovery</h3>
						Shreyas Retreat is an initiative of Inner Challenges, a life coaching company that looks to bring the wisdom of Indian spiritual tradition into our daily existence The principal ethos of Shreyas is that spirituality and self-discovery do not just complement, but are essential in modern life and that Yoga is the ideal means to achieve this.<br /><br />
						To read more about the Journey of Self-discovery <a href="javascript:void(0);" data-toggle="modal" data-target="#JourneyModal">Click Here</a>
					</p>
				</div>	
			</div>
		</div>	

		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
	
	<!-- Details Modal -->
	<div class="modal fade" id="JourneyModal" tabindex="-1" role="dialog" _data-backdrop="static">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 id="myModalLabel1" class="modal-title">Journey of Self Discovery</h4>
				</div>
				
				<div class="modal-body">
					<p class="txt-justify">
					If we analyze life carefully, what we want in our life is not achievements, possessions or the absence of what we consider painful, but a sense of satisfaction and completeness, a sense of pleased self within us. That a child is not dear to us for the sake of the child but for the sake of the pleased self; that in fact everything is dear to us not for its own sake but for the sake of our own pleased self. Even though our life is driven by the desire to satisfy our Inner self, where we go wrong is that we mistake a shallow and transient experience of pleasure as a substitute for true and lasting self-fulfilment. We convince ourselves that happiness lies in a material possession only to realize that pleasure derived from a physical possession is transient, that cloaked in our desire for our loved ones is a feeling of anger and disappointment, that whatever object, person or event gives us pleasure today contains within it the capacity to give us pain tomorrow.<br /><br />
					Whatever is our motivation in performing any action (in Sanskrit 'Karma'); the fact remains that all actions are expected to lead to an experience of a pleased self. So with inputs from Yoga, and after being convinced of the truth of this statement from our own experiences, we can stop concentrating purely on external matters (possessions, relationships, hobbies) for our happiness and begin to look at our true nature for our happiness, for the self seems to be the locus of our true happiness.<br /><br />
					Our desires and the objects that apparently bring us happiness (or unhappiness) are infinitely varied and numerous. Yoga brings in some order and facilitates our task by pointing out that all our desires fall into one of three basic categories. These are the urge to live, the urge to know and the urge to be happy.<br /><br />
					A large number of our desires and attendant actions are propelled by the basic urge to protect and prolong life. To want to live is a natural instinct in all living organisms, and humans are no exceptions. We take vitamin pills, wear seat belts, work out, eat sensibly, store food, build shelters, eradicate germs, predict weather patterns, and so on. From the first gasping breath and suckling action of a newborn to the last gasping breath at death, the struggle first and foremost is to live. When we are capable of looking after ourselves and are in reasonably good health, we tend to forget the strength of our need to be alive. However, if the prospect of death makes a small gesture (either in form of illness or some impending danger) then a host of other matters suddenly seem trivial and drop off from our shoulders! Nobody wants to die; everyone wants to live for one more decade, or for one more year or one more day or one more hour. 
					In the case of suicide or choosing euthanasia, the urge to live never disappears but is overpowered by the equally fundamental urge to be happy. Death is welcomed by a few people when they have absolutely no hope of happiness; give them back their happiness and death will be rejected.<br /><br />
					This urge to live is the urge just to be, to exist. In Sanskrit, the word for existence is “Sat” (pronounced “sut”). We all always want to exist or to be. However this is not all that we want, for if existence alone was the goal, then we could aspire to become like the million year old rock.<br /><br />
					Next is the urge to know, to be aware; to be conscious. Our need to know is the driving force behind new discoveries, learning new skills, grabbing the newspapers or watching the news, craning our neck to see when we hear the screeching of car brakes, feeling restless unless we ferret out a secret which a friend is trying to keep, and so on. The need to know is a facet of our awareness; it arises because consciousness is basic to us. The Sanskrit word for consciousness is "Chit"<br /><br />
					The last primary urge is the urge to be happy, or really, to be unlimited. The Sanskrit word for happiness is “Ananda”. We can have Sat and Chit but it matters little without Ananda. A terminally ill person may choose to have life ended if the prospect of continuous pain permanently excludes Ananda or the infatuated lover may commit suicide if they see no prospect of happiness without their beloved.<br /><br />
					Ananda is not restricted to laughter or to a “high”. It has a meaning close to a sense of fullness where we are basically at peace and with all and everything around us. It is a state where we are quite content to let things, events and people to be as they are – we might try to bring some changes, but our sense of fullness or completeness is not limited by the results of our effort in making those changes. In other words, when we are truly happy, we can have preferences but those preferences are not binding.<br /><br />
					Yoga teaches us that lasting happiness or Ananda is only possible when Sat, Chit and Ananda are met in full measure at all times and in all situations. Nobody wants to exist only for a limited time; nobody wants any boundary in their capacity to be aware and to know, and everybody wants happiness, at all times and in all places.<br /><br />
					It is very clear that our normal actions will not result in full and unchanging Sat, Chit and Ananda. No amount of wealth has brought us immortality. There is no way we will know everything that the world knows (not to mention all which remains to be known). Happiness, of course, is very ephemeral and requires a combination of things to co-exist before it is experienced. A certain state of body & mind, a particular situation, and the attitude of those around us, all play a part in our happiness.<br /><br />
					It is not possible for all these to come together all the time, and therefore we find ourselves always a little sad even in the midst of a happy moment. A delicious meal on the table is no fun if you are trying to lose weight, the much anticipated picnic with the family is spoiled by the hot sun and the ants; a beautiful sunset is missed if the mind is worrying about the events in the office. Many things must come together for us to be happy, and most of these are out of our control. We worry about the future and we mull over the past, “why did that friend betray me when I was loyal to her?” It seems that there is just no way we can obtain and retain full and permanent happiness.<br /><br />
					According to Yoga, it is possible, on this earth, and in this lifetime, to abide in a state of Sat, Chit and Ananda in full and permanent measure. And we have all experienced some kind of fullness, however fleeting those might be. Some of us have been captivated by the look in a baby’s eyes; or by a breathtaking moment at the top of a mountain, or been transported to virtual divinity when in deep love. In all these experiences, the real joy is the disappearance of the experience of our usual self which feels small, limited and insecure. When we no longer identify with our limited self, we are in shaking hands distance with our true nature – that of pure existence, pure consciousness and unalloyed bliss.<br /><br />
					The purpose of this life has to be redirected toward discovering this truth for ourselves. The path to self discovery is called Yoga.<br /><br />
					Yoga is a discipline that provides us with a gamut of spiritual processes to access and realize our true self. The journey is through the conscious control of the mind. When the mind is troubled, we find the world fragmented, at odds with our needs and wants and a competitor for our happiness. When the thought waves in our mind calm down; then we are at peace with the whole world. There is a sense of fullness, a sense of contentment and a sense of belonging. The individual ego drops off, and we are free.<br /><br />
					At Shreyas, we encourage you along this journey by providing you a scared place to reflect and contemplate on your true purpose of life. The yoga classes, the light and wholesome vegetarian food, the absence of alcohol, the breathing, awareness and meditation classes, the discourses on the Indian scriptures, the silence hours, the spiritual music, the nature walks, the farming and the community exercises; are all designed so that you can progress along your journey of self discovery.<br /><br />
					<strong>Namaste Pawan</strong> 
					</p>
				</div>
							
			</div>
		</div>
	</div>		
		
</body>
</html>
