<?php
	require('./includes/config.php');
	session_start();
	error_reporting(E_ALL ^ E_NOTICE);
	
	$dispatch = (isset($_GET['dispatch']) && $_GET['dispatch'] != '') ? $_GET['dispatch'] : "";
	$return_url = (isset($_GET['return_url']) && $_GET['return_url'] != '') ? $_GET['return_url'] : "";
	$user_type = (isset($_GET['user_type']) && $_GET['user_type'] != '') ? $_GET['user_type'] : "";
	$get_tree = (isset($_GET['get_tree']) && $_GET['get_tree'] != '') ? $_GET['get_tree'] : "";
	$bodyclass = "hold-transition";
	
	if (($_SESSION['userName']=="")) {
		$return_url = $dispatch;		
		$dispatch = "auth.login_form";
		$bodyclass .= " login-page";
	} else {
		$bodyclass .= " skin-blue sidebar-mini";
	}
	
	if($dispatch == "auth.recover_password") { 
		$return_url = $dispatch;		
		$dispatch = "auth.recover_password";
	}
	
	if ($dispatch=="auth.logout") {
		$_SESSION['userName'] = "";
		$_SESSION['userHistory'] = "";
		$dispatch = "auth.login_form";
		$return_url = "index.php";
	}
	
	$current_url = "http://".$_SERVER['HTTP_HOST'] .$_SERVER['REQUEST_URI'];
	$history_max_url = 5; // change to the number of urls in the history array
	//Assign _SESSION array to variable, create one if empty ::: Thanks to Sold Out Activist for the explanation!
	$history = (array) $_SESSION['history'];
	//Add current url as the latest visit
	array_unshift($history, $current_url);
	//If history array is full, remove oldest entry
	if (count($history) > $history_max_url) {
		array_pop($history);
	}
	//update session variable
	$_SESSION['history'] = $history;	
	
	function getMetaTitle($content){
		$pattern = "|<[s]*title[s]*>([^<]+)<[s]*/[s]*title[s]*>|Ui";
		if(preg_match($pattern, $content, $match))
			return $match[1];
		else
			return false;
	}	
	
	function showHistory() {
	  $history = (array) $_SESSION['history'];
	  $i = 0;
	  while($i<count($history)) {
		  echo "<li><a href=". $history[$i] ." title='". $history[$i] ."'>" . $history[$i] . "</a></li>";
		  $i++;
	  }
	}
?>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Administrator Panel</title>
	<!-- Tell the browser to be responsive to screen width -->
	<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
	<!-- Bootstrap 3.3.5 -->
	<link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
	<!-- Font Awesome -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
	<!-- Ionicons -->
	<link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="plugins/datatables/dataTables.bootstrap.css">
    <!-- fullCalendar 2.2.5-->
    <link rel="stylesheet" href="plugins/fullcalendar/fullcalendar.min.css">
    <link rel="stylesheet" href="plugins/fullcalendar/fullcalendar.print.css" media="print">
	<!-- Theme style -->
	<link rel="stylesheet" href="./dist/css/AdminLTE.css">
	
    <link rel="stylesheet" href="plugins/iCheck/square/blue.css">

	<!-- AdminLTE Skins. Choose a skin from the css/skins folder instead of downloading all of them to reduce the load. -->
	<link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">
	<!-- iCheck -->
	<link rel="stylesheet" href="plugins/iCheck/flat/blue.css">
	<!-- Morris chart -->
	<link rel="stylesheet" href="plugins/morris/morris.css">
	<!-- jvectormap -->
	<link rel="stylesheet" href="plugins/jvectormap/jquery-jvectormap-1.2.2.css">
	<!-- Date Picker -->
	<link rel="stylesheet" href="plugins/datepicker/datepicker3.css">
	<!-- Daterange picker -->
	<link rel="stylesheet" href="plugins/daterangepicker/daterangepicker-bs3.css">
	<!-- bootstrap wysihtml5 - text editor -->
	<link rel="stylesheet" href="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">

	<link rel="stylesheet" href="./plugins/daterangepicker/daterangepicker-bs3.css">
	<link rel="stylesheet" href="./plugins/timepicker/bootstrap-timepicker.min.css">
	
	<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
</head>
  
<body class="<?php echo $bodyclass; ?>">
	<div class="wrapper">
    <?php
		if($dispatch == "auth.login_form") { include "./pages/login.php";  }
		if($dispatch == "auth.recover_password") { include "./pages/recover-password.php"; }
		if($dispatch == "auth.logout") { include "./pages/logout.php"; }
		if($dispatch == "") {  include "./pages/dashboard.php";  }
		
		if($dispatch == "profile") { include "./pages/profile.php"; }
		if($dispatch == "calendar") { include "./pages/calendar.php"; }
		
		if($dispatch == "logs.manage") { include "./pages/logs-manage.php"; }
		
		/* Rooms */
		if($dispatch == "rooms") { include "./pages/rooms.php"; }
		if($dispatch == "rooms.update") { include "./pages/rooms-update.php"; }
		if($dispatch == "rooms.add") { include "./pages/rooms-add.php"; }
		if($dispatch == "rooms.delete") { include "./pages/rooms-delete.php"; }
		
		/* About Us */
		if($dispatch == "about") { include "./pages/about.php"; }
		if($dispatch == "about.update") { include "./pages/about-update.php"; }
		if($dispatch == "about.add") { include "./pages/about-add.php"; }
		if($dispatch == "about.delete") { include "./pages/about-delete.php"; }
		
		if($dispatch == "facilities") { include "./pages/facilities.php"; }
		if($dispatch == "facilities.update") { include "./pages/facilities-update.php"; }
		if($dispatch == "facilities.add") { include "./pages/facilities-add.php"; }
		if($dispatch == "facilities.delete") { include "./pages/facilities-delete.php"; }

		if($dispatch == "cuisine") { include "./pages/cuisine.php"; }
		if($dispatch == "cuisine.update") { include "./pages/cuisine-update.php"; }
		if($dispatch == "cuisine.add") { include "./pages/cuisine-add.php"; }
		if($dispatch == "cuisine.delete") { include "./pages/cuisine-delete.php"; }
		
		if($dispatch == "guestbook") { include "./pages/guestbook.php"; }
		if($dispatch == "guestbook.update") { include "./pages/guestbook-update.php"; }
		if($dispatch == "guestbook.add") { include "./pages/guestbook-add.php"; }
		if($dispatch == "guestbook.delete") { include "./pages/guestbook-delete.php"; }
		
		if($dispatch == "community-service") { include "./pages/community-service.php"; }
		if($dispatch == "community-service.update") { include "./pages/community-service-update.php"; }
		if($dispatch == "community-service.add") { include "./pages/community-service-add.php"; }
		if($dispatch == "community-service.delete") { include "./pages/community-service-delete.php"; }
		
		if($dispatch == "media") { include "./pages/media.php"; }
		if($dispatch == "media.update") { include "./pages/media-update.php"; }
		if($dispatch == "media.add") { include "./pages/media-add.php"; }
		if($dispatch == "media.delete") { include "./pages/media-delete.php"; }

		/* Gallery */
		if($dispatch == "gallery") { include "./pages/gallery.php"; }
		if($dispatch == "gallery.update") { include "./pages/gallery-update.php"; }
		if($dispatch == "gallery.add") { include "./pages/gallery-add.php"; }
		if($dispatch == "gallery.delete") { include "./pages/gallery-delete.php"; }

		/* Packages */
		if($dispatch == "packages") { include "./pages/packages.php"; }
		if($dispatch == "packages.update") { include "./pages/packages-update.php"; }
		if($dispatch == "packages.add") { include "./pages/packages-add.php"; }
		if($dispatch == "packages.delete") { include "./pages/packages-delete.php"; }
		
		if($dispatch == "nightly-rates") { include "./pages/nightly-rates.php"; }
		if($dispatch == "nightly-rates.update") { include "./pages/nightly-rates-update.php"; }
		if($dispatch == "nightly-rates.add") { include "./pages/nightly-rates-add.php"; }
		if($dispatch == "nightly-rates.delete") { include "./pages/nightly-rates-delete.php"; }

		/* Experience */
		if($dispatch == "experience") { include "./pages/experience.php"; }
		if($dispatch == "experience.add") { include "./pages/experience-add.php"; }
		if($dispatch == "experience.update") { include "./pages/experience-update.php"; }
		if($dispatch == "experience.delete") { include "./pages/experience-delete.php"; }

		if($dispatch == "activities") { include "./pages/activities.php"; }
		if($dispatch == "activities.add") { include "./pages/activities-add.php"; }
		if($dispatch == "activities.update") { include "./pages/activities-update.php"; }
		if($dispatch == "activities.delete") { include "./pages/activities-delete.php"; }

		/* Plan Your Stay */
		if($dispatch == "planyourstay-excursions") { include "./pages/planyourstay-excursions.php"; }
		if($dispatch == "planyourstay-location") { include "./pages/planyourstay-location.php"; }
		if($dispatch == "planyourstay-weather") { include "./pages/planyourstay-weather.php"; }
		if($dispatch == "planyourstay-visa") { include "./pages/planyourstay-visa.php"; }
		if($dispatch == "planyourstay.update") { include "./pages/planyourstay-update.php"; }


		/* Contact */
		if($dispatch == "contact") { include "./pages/contact.php"; }
		if($dispatch == "contact.update") { include "./pages/contact-update.php"; }
		if($dispatch == "contact.add") { include "./pages/contact-add.php"; }
		if($dispatch == "contact.delete") { include "./pages/contact-delete.php"; }
		
		if($dispatch == "newsletter") { include "./pages/newsletter.php"; }
		if($dispatch == "newsletter.add") { include "./pages/newsletter-add.php"; }
		if($dispatch == "newsletter.update") { include "./pages/newsletter-update.php"; } 
		if($dispatch == "newsletter.delete") { include "./pages/newsletter-delete.php"; } 
		
		if($dispatch == "explore") { include "./pages/explore.php"; }
		
		if($dispatch == "careers") { include "./pages/careers.php"; }
		if($dispatch == "careers.update") { include "./pages/careers-update.php"; }
		if($dispatch == "careers.add") { include "./pages/careers-add.php"; }
		if($dispatch == "careers.delete") { include "./pages/careers-delete.php"; }
		
		if($dispatch == "promotions") { include "./pages/promotions.php"; }
		if($dispatch == "promotions.add") { include "./pages/promotions-add.php"; }
		if($dispatch == "promotions.update") { include "./pages/promotions-update.php"; }
		if($dispatch == "promotions.delete") { include "./pages/promotions-delete.php"; }
		
		if($dispatch == "banner.manage") { include "./pages/banner-manage.php"; }
		if($dispatch == "banner.add") { include "./pages/banner-add.php"; }
		if($dispatch == "banner.update") { include "./pages/banner-update.php"; }	 
		if($dispatch == "banner.delete") { include "./pages/banner-delete.php"; }
		
		if($dispatch == "popup.manage") { include "./pages/popup-manage.php"; }
		if($dispatch == "popup.add") { include "./pages/popup-add.php"; }
		if($dispatch == "popup.update") { include "./pages/popup-update.php"; }	 
		if($dispatch == "popup.delete") { include "./pages/popup-delete.php"; }
		
		
		if($dispatch == "news.manage") { include "./pages/news-manage.php"; }
		if($dispatch == "news.add") { include "./pages/news-add.php"; }
		if($dispatch == "news.update") { include "./pages/news-update.php"; }
		
		if($dispatch == "pages.manage") { include "./pages/pages-manage.php"; }
		if($dispatch == "pages.update") { include "./pages/pages-update.php"; }
		if($dispatch == "pages.add") { include "./pages/pages-add.php"; }
		if($dispatch == "pages.delete") { include "./pages/pages-delete.php"; }
		
		if($dispatch == "testimonial.manage") { include "./pages/testimonial-manage.php"; }
		if($dispatch == "testimonial.update") { include "./pages/testimonial-update.php"; }
		if($dispatch == "testimonial.add") { include "./pages/testimonial-add.php"; }
		if($dispatch == "testimonial.delete") { include "./pages/testimonial-delete.php"; }
		
		if($dispatch == "sitemap.manage") { include "./pages/sitemap-manage.php"; }
    ?>
	</div><!-- ./wrapper -->
	
	<!-- jQuery 2.1.4 -->
	<script src="./plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
      $.widget.bridge('uibutton', $.ui.button);
    </script>
	<!-- Bootstrap 3.3.5 -->
	<script src="./bootstrap/js/bootstrap.min.js"></script>
	<!-- iCheck -->
	<script src="./plugins/iCheck/icheck.min.js"></script>
	<script>
		$(function () {
			$('input').iCheck({
				checkboxClass: 'icheckbox_square-blue',
				radioClass: 'iradio_square-blue',
				increaseArea: '20%' // optional
			});
		});
	</script>
    <!-- Morris.js charts -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>
    <script src="plugins/morris/morris.min.js"></script>
    <!-- Sparkline -->
    <script src="plugins/sparkline/jquery.sparkline.min.js"></script>
    <!-- jvectormap -->
    <script src="plugins/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
    <script src="plugins/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
    <!-- jQuery Knob Chart -->
    <script src="plugins/knob/jquery.knob.js"></script>
    <!-- daterangepicker -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.2/moment.min.js"></script>
	<script src="plugins/fullcalendar/fullcalendar.min.js"></script>
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- datepicker -->
    <script src="plugins/datepicker/bootstrap-datepicker.js"></script>
    <!-- Bootstrap WYSIHTML5 -->
    <script src="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js"></script>
    <!-- DataTables -->
    <script src="plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="plugins/datatables/dataTables.bootstrap.min.js"></script>
    <script>
		$(function () {
			$("#table1").DataTable();
			$('#table2').DataTable({
				"paging": true,
				"lengthChange": false,
				"searching": false,
				"ordering": true,
				"info": true,
				"autoWidth": false,
				"columnDefs": [ {
					"targets": 'no-sort',
					"ordering": false
				} ]		
			});
		});
		
		function printPage() { 
			window.print(); 
		}
    </script>
    <!-- Slimscroll -->
    <script src="plugins/slimScroll/jquery.slimscroll.min.js"></script>
    <!-- FastClick -->
    <script src="plugins/fastclick/fastclick.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/app.min.js"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script src="dist/js/pages/dashboard.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="dist/js/demo.js"></script>
	
	<script src="./plugins/daterangepicker/daterangepicker.js"></script>
	<script src="./plugins/timepicker/bootstrap-timepicker.min.js"></script>
    <!-- CK Editor -->
    <script src="https://cdn.ckeditor.com/4.4.3/standard/ckeditor.js"></script>
    <script src="./plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js"></script>
    <script>
     	$(function () {
			CKEDITOR.replace('ckeditor');
       	 	$(".textarea").wysihtml5();
      	});
    </script>
</body>
</html>
