<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrCommunityService-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Yoga is the journey of self discovery</div>
			</div>
		</div>
	
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li><a href="./about-us">About Us</a></li>
					<li class="active">Community Service</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">Community Service</h1></div>
		
		<div class="content-xs">
			<div class="container">
				<p class="txt-justify">
					From the outset, the vision of Shreyas was to offer a haven for people to step off the whirling carousel of life, stand back and re-examine their life, priorities, goals, choices, relationships and understand the consequences thereof. To guide them on this path, we delved deep into the scriptures to offer the timeless wisdom of the Indian spiritual tradition in a relevant format that can be applied in everyone’s lives regardless of their age. And at the core of this knowledge is the realization that the Universe is one and inter-connected and that we are each a part of one Supreme Consciousness. There is no ‘other’ to compete with or hoard from. When we take something away, we are taking it from ourselves – which is why it ultimately leaves us feeling unfulfilled and dissatisfied. In giving to others, we are giving to ourselves, thus making us feel content and full. This is why the act of giving is permeated with joy.<br /><br />
					The Community Service Exercises at Shreyas are an attempt to share this fulfilling experience and philosophy with our guests, by interacting with and serving the local schools and villages that Shreyas has supported since its conception in mid 2001.<br /><br />
					Click here for information on our <a href="./package_details.php?id=5">Joy of Giving Package</a>
				</p>		
			</div>
		</div>
	
		<div class="content-xs">
			<div class="container">
				<div class="row">
				<div class="col-md-7">
					<h1 class="trajan olive">Orphanage</h1>
					<p class="txt-justify">
						At Shreyas, we offer our guests an opportunity to take part in community service by feeding lunch to the children of a local orphanage. Guests can pick vegetables from our organic garden, chop them and help our chefs prepare a simple, healthy meal for the children of the orphanage. They take the food to the children and serve them lunch laid out traditionally on banana leaves. The children get a healthy lunch and our guests experience the joy of giving.<br /><br />
					</p>
					<h3>How the journey began</h3>
					<p class="txt-justify">
						In December 2007, a guest from the UK, who had come to Shreyas for a week's stay made a special request to visit an orphanage instead of a village school. The orphanage, "KaveriVanitaSeveshrama (KVS)" at Hessaraghatta village about 7km from Shreyas was running in an old asbestos sheet-roof building and housing 24 disadvantaged women and 22 children. On returning to the UK, the guest took part in a charity walk and was able to raise £1600 for the orphanage. She asked us to check with the orphanage on how to best use this money.<br /><br />
						We consulted the Orphanage and they initially suggested repairing the existing asbestos roof building as it was leaking at some places, however we realized that the old building would not support a new roof – the only option was to build a brand new building.Shreyasused this guest's contribution to start a corpus fund for constructing this new building on 2400 square feet land donated by a local donor.<br /><br />
						Eventually through guest's donations (including a generous $50,000 donation from a US guest), a contribution from Shreyas and some money raised by the orphanage, the £58,000 needed to start construction was attained. The foundation was laid in February 2010 and the building was completed on the 1st December 2011. Today the children live here, in this bright and spacious home.<br /><br />
						The new orphanage is a two-storied permanent building, with separate accommodation for boys and girls and also for the disadvantaged adults. The ground floor has accommodation for aged women, dining cum prayer hall, kitchen, storage space etc and the first floor has accommodation for about 50 children – girls and boys separately and a computer room. A 300 square feet open-air study room for the children has also been added.
					</p>
				</div>	
				<div class="col-md-5">
					<img class="img-responsive" src="./assets/img/about/community-collage-1.png" alt="" />
				</div>
				
				<div class="spacer-20"></div>
				
				<div class="col-md-5">
					<img class="img-responsive" src="./assets/img/about/community-pic-1.jpg" alt="" />
				</div>
				<div class="col-md-7">
					<p class="txt-justify">The energy in this orphanage is bright and positive; the children welcome the guests with smiles and with open hearts. Sarojamma who runs the orphanage makes this possible through her devotion and love for these children. This 60 year-old lady has been serving disabled women and children for the past 40 years. Her actual name is Saroja and the word "amma" means mother.</p>
					<p class="txt-justify">Sarojamma comments "Shreyas is not only there for financial support. Shreyas gives me the confidence that nothing will go wrong; that the people at Shreyas will never let anything bad happen to me or the children."</p>
					<p class="txt-justify">Shreyas has included this orphanage visit in our agenda and is closely associated with the orphanage – providing tutors, computers and other help when needed. Our guests have been kind enough to take care of the orphanage in various ways. Many have given provisions, school bags, clothing, books, stationery, uniforms, bicycles, sports items, cooking vessels, refrigerator etc. It is always a delight to see the children's grateful joy when receiving these gifts.</p>	
				</div>	
				</div>
			</div>
		</div>
			
		<!--div class="content-xs">
			<div class="container">
				<img class="img-responsive img-center" src="./assets/img/about/videoBg.jpg" alt="" />
			</div>
		</div-->
		
		<div class="content-xs">
			<div class="container">
				<div class="col-md-5 otherProjectsPic">
					<img class="img-responsive" src="./assets/img/about/community-collage-2.png" alt="" />
				</div>
				<div class="col-md-7">
					<h1 class="trajan olive">Other Projects</h1>
					<p>Toilets and bathrooms for old aged women at an orphanage in Bangalore city run by Christu Seva Samaj.</p>
					<p>Compound wall for Gollahalli Village Primary school.</p>
					<p>Drinking water facility and cooking vessels to Gollahalli Village Primary school.</p>
					<p>Building Renovation for Byrasettyhalli Primary School.</p>
					<p>School desks for Byrasettyhalli Primary School.</p>
					<p>Submersible pump and motor for the Basavanahalli Village.</p>
					<p>Building the toilets at Byrasettyhalli Primary School with the funds drawn by the school from the State Government's allocation for the purpose.</p>
					<p>Building a Kitchen for Arjunabettahalli Primary School by topping up the funds drawn by the school from the State Government's allocation for the purpose.</p>
					<p>School Library building for Byarasettyhalli High School and PU College.</p>
					<p>Rain Water Harvesting cum water storage tanks for 62 homes in Arjunabettahalli village.</p>
					<p>For all projects, Shreyas manages the "money" and supervises the work. We have found that this works better than giving money to someone to complete the project independently. We would not have been able to achieve these initiatives without the valuable contributions from our guests, staff and owners.</p>
				</div>	
			</div>
		</div>	

		<div class="spacer-30"></div>
		
		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
