<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    <style>
	.btn-u.btn-u-dark { background:#fcfab4; color:#000; border:1px solid #ffffbb; padding:6px 15px; }
    </style>
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrExperience-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">When diet is wrong medicine is of no use.<br />When diet is correct medicine is of no need.</div>
			</div>
		</div>
		
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li class="active">Experience</li>
				</ul>
			</div>
		</div>
	
		<div class="content-xs"><h1 class="ipTitle">Experiences at Shreyas</h1></div>
		
		<div class="content-xs">
			<div class="container">
				<p class="txt-justify">To enable you to get the most from your stay at Shreyas, we would like to introduce you to the experiences and activities we offer. We will be delighted to help you plan and personalize your days. If you are celebrating a special occasion at Shreyas, please do let us know.</p>
			</div>
		</div>
		
		<div class="content-xs">
			<div class="container">
				<?php 
				$resultsE = $mysqli->query("SELECT * FROM `Experience` WHERE `Status`='Active' ORDER BY `SortOrder` ASC");
				if ($resultsE) { 
					while($objE = $resultsE->fetch_object()) {								
				?>
						<div class="row no-gutter equal-height-columns g-mb-30">
							<div class="col-md-6">
								<img class="img-responsive" src="./assets/img/experience/<?php echo $objE->Pic ?>" alt="" />
							</div>
							<div class="col-md-6 oliveBoxPanel">
								<div class="oliveBoxPanelContent">
									<h1><?php echo $objE->Title ?></h1>
									<p><?php echo trimText($objE->Description, 200) ?></p>
									
									
									
									<!--
									<a href="#DetailsModal" class="open-DetailsModal btn-u btn-u-yellow-trans uc ls-1 rounded" data-toggle="modal" data-title="<?php echo $objE->Title ?>" data-description="<?php echo $objE->Description ?>">Read More</a>
									-->
									
									<?php if($objE->ID==1) { ?>
									<a href="yoga" class="open-DetailsModal btn-u btn-u-dark uc ls-1 rounded">Read More</a>
									<?php } else if($objE->ID==2){?>
									<a href="anaha-spa" class="open-DetailsModal btn-u  btn-u-dark uc ls-1 rounded">Read More</a>
									<?php } ?>
									
									
									<!--a href="#EnquireModal" class="open-EnquireModal enquirenow-btn" data-toggle="modal" data-title="<?php echo $objE->Title ?>">Enquire Now</a-->
								</div>
							</div>
						</div>
				<?php
					}
				}
				?>
			</div>
		</div>
		
			
		<div class="content-xs"><h1 class="ipTitle">Activities at Shreyas</h1></div>
		
		<div class="content-xs">
			<div class="container">
				<p class="txt-justify">Shreyas also offers the following experiences and activities to enrich your stay. All these can be pre-booked, or decided at your leisure once you are here.</p>
			</div>
		</div>
		
		<div class="content-xs">
			<div class="container">
				<?php 
				$resultsA = $mysqli->query("SELECT * FROM `Activities` WHERE `Status`='Active' ORDER BY `SortOrder` ASC");
				if ($resultsA) { 
					while($objA = $resultsA->fetch_object()) {								
				?>
						<div class="row no-gutter equal-height-columns g-mb-30">
							<div class="col-md-6">
								<img class="img-responsive" src="./assets/img/activities/<?php echo $objA->Pic ?>" alt="" />
							</div>
							<div class="col-md-6 oliveBoxPanel">
								<div class="oliveBoxPanelContent">
									<h1><?php echo $objA->Title ?></h1>
									<p><?php echo $objA->Description ?></p>
								</div>
							</div>
						</div>
				<?php
					}
				}
				?>

				<p class="txt-justify">We look forward to serving you and making your visit a memorable one.</p>
			</div>
		</div>
			
		<div class="spacer-30"></div>	
			
			
			
		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
