<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    <style>
	.btn-u.btn-u-dark { background:#fcfab4; color:#000; border:1px solid #ffffbb; padding:6px 15px; }
    </style>
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrNaturopathy-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Yoga is the journey of self discovery</div>
			</div>
		</div>
		
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li class="active">Naturopathy</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">Naturopathy</h1></div>
	
		<div class="content-xs">
			<div class="container">
				<p class="txt-justify">Naturopathy, as the name suggests comprises of 'natural' healing remedies and techniques. Some say that Hippocrates, the ancient Greek healer, was the first advocate of naturopathy – yet, the practice of using natural ingredients in healing can be traced back to the start of written, recorded history. It encompasses a wide range of treatments,acupuncture, herbalism, hydrotherapy, among others.</p>
				<p class="txt-justify">The essential philosophy of naturopathy is that one’s body has an innate, vital energy that can help in the process of healing. Naturopathy is directed at guiding the internal mechanisms towards self-healing, and suggesting changes to lifestyle choices to balance the internal and external environments. Thereby, naturopathy is also aligned to holistic healing principles.</p>
				<p class="txt-justify">At Anaha Spa, we offer you a range of well-researched, well-documented and widely practiced naturopathy remedies. Your treatment is charted as per your individual needs and ailments, and you will be taken through the process from diagnosis to post-treatment procedures, with our experienced consultants. As nature intended, we are also able to provide you with natural elements essential for healthy living: ample sunshine, fresh air and organically grown food. Our premises have numerous spaces for meditation and relaxation – destress mechanisms that are essential to unlock the body’s healing process. Retreat into the quiet and comfort of Anaha Spa, and help us guide you towards healing and holistic health.</p>	
			</div>
		</div>
		
		<div class="content-xs">
			<div class="container">
				<?php 
				$resultsBT = $mysqli->query("SELECT * FROM `Naturopathy` WHERE `Status`='Active' ORDER BY `SortOrder` ASC");
				if ($resultsBT) { 
					while($objBT = $resultsBT->fetch_object()) {								
				?>
						<div class="row no-gutter equal-height-columns g-mb-30">
							<div class="col-md-6">
								<img class="img-responsive" src="./assets/img/naturopathy/<?php echo $objBT->Pic ?>" alt="" />
							</div>
							<div class="col-md-6 oliveBoxPanel">
								<div class="oliveBoxPanelContent">
									<h1><?php echo $objBT->Title ?></h1>
									<!--p><?php echo trimText($objBT->Description, 190) ?></p-->
									<!--a href="#DetailsModal" class="open-DetailsModal btn-u btn-u-yellow-trans uc ls-1 rounded" data-toggle="modal" data-title="<?php echo $objBT->Title ?>" data-description="<?php echo $objBT->Description ?>">Read More</a-->
									<div class="block showmore">
										<p class="txt-justify"><?php echo $objBT->Description; ?></p>
									</div>
									<!--a href="#EnquireModal" class="open-EnquireModal _enquirenow-btn btn-u btn-u-yellow-trans rounded uc ls-1 btnNextToReadMore" data-toggle="modal" data-title="<?php echo $objBT->Title ?>">Enquire Now</a-->
								</div>
							</div>
						</div>
				<?php
					}
				}
				?>
			</div>
		</div>

		<div class="spacer-30"></div>

		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
	
</body>
</html>
