<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    <style>
	.btn-u.btn-u-dark { background:#fcfab4; color:#000; border:1px solid #ffffbb; padding:6px 15px; }
    </style>
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrPackages-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">To perform every action artfully is yoga</div>
			</div>
		</div>
		
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li class="active">Packages</li>
				</ul>
			</div>
		</div>
	
		<div class="content-xs"><h1 class="ipTitle">Packages</h1></div>
		
		<div class="content-xs">	
			<div class="container">
				<p class="txt-justify">At Shreyas yoga retreat, we see every aspect of our yoga retreat, the rejuvenation center and the cuisine, as elements working together to allow you to rejuvenate your body and mind. There are many roads that can lead to this final goal and we have customized various packages accordingly. Whilst we offer various packages to our guests who are on a holiday, we also encourage them to customize these packages according their needs. This may be done in advance by booking individual classes – yoga, meditation or pranayama and also booking specific spa treatments packages. We are keen to make our rates and packages structure transparent and would like our guests to know the likely cost of their stay before they enter to beautiful retreat. By avoiding any confusion and add-on charges, we hope that once our guests enter Shreyas they can focus on their journey towards self discovery.</p>
			</div>
		</div>	
		
		<div class="content-xs">
			<div class="container">
				<?php 
				$resultsPkg = $mysqli->query("SELECT * FROM `Packages` WHERE `Status`='Active' ORDER BY `SortOrder` ASC");
				if ($resultsPkg) { 
					while($objPkg = $resultsPkg->fetch_object()) {								
				?>
						<div class="row no-gutter equal-height-columns g-mb-30">
							<div class="col-md-6">
								<img class="img-responsive" src="./assets/img/packages/<?php echo $objPkg->Pic ?>" alt="" />
							</div>
							<div class="col-md-6 oliveBoxPanel">
								<div class="oliveBoxPanelContent">
									<h1><?php echo $objPkg->Title ?></h1>
									<p><?php echo trimText($objPkg->Description, 250) ?></p>
									<a href="./package_details.php?id=<?php echo $objPkg->ID ?>" class="btn-u btn-u-dark rounded uc ls-1">Explore Package</a>
									
									<a href="#EnquireModal" class="open-EnquireModal enquirenow-btn" data-toggle="modal" data-title="<?php echo $objPkg->Title ?>">Enquire Now</a>
								</div>
							</div>
						</div>
				<?php
					}
				}
				?>
			</div>
		</div>

			
		<div class="spacer-30"></div>
			
		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
</body>
</html>
