<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
	<script type='text/javascript'>//<![CDATA[
		window.onload=function(){
		$('.fade-anchor').click(function(e){
			e.preventDefault();
			$('#fade-content').css('max-height','none');
			$('.fade-anchor').remove();
			});
		}//]]> 
	</script>	
	<style>
	.btn-u.btn-u-dark { background:#fcfab4; color:#000; border:1px solid #ffffbb; padding:6px 15px; }
	</style>
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrPanchakarma-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Life is not merely to be alive, but to be well.</div>
			</div>
		</div>
	
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li class="active">Panchakarma</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">Panchakarma</h1></div>
	
		<div class="content-xs">
			<div class="container">
				<div id="fade-container">
					<div id="fade-content">
						<p>
							This is a five fold procedure for eliminating accumulated impurities from the mind body physiology. Pancha, in Sanskrit means "five" and karma means "action". Panchakarma therefore refers to the five actions that are considered the most powerful, purifying, and rejuvenating procedures in Ayurveda. This unique treatment aims at correcting the imbalance of the biological energies – Vata, Pita, and Kapha in order to maintain their inherent equilibrium. During each season of the year, one or more of the doshas accumulate, which results an imbalance and makes the body prone to illness. Changes occurs in both the mind and body of the individual. This entire process is designed to facilitate the deep–rooted release of stress, and to encourage the individuals to surrender to the healing process. 
							The five fold treatment during Panchakarma is not only intended for elimination of disease causing toxins but also to replenish the tissues with nourishment. Therefore this is also termed as Ayurvedic Rejuvenation therapy.<br /><br />
							There are three integrated components of the panchakarma process: the preparation phase [in Sanskrit known as Poorva karma], the principal procedures [Pradhana karma], and the post treatment care which includes diet regimen and other dos and don'ts [Paschat karma].						
						</p>
					</div>
					<div class="fade-anchor"><span class="fade-anchor-text">Read More</span><br/></div>
				</div>						
				<div class="spacer-20"></div>	
			
			</div>
		</div>
	
		<div class="content-xs">
			<div class="container">
				<?php 
				$resultsP = $mysqli->query("SELECT * FROM `Panchakarma` WHERE `Status`='Active' ORDER BY `SortOrder` ASC");
				if ($resultsP) { 
					while($objP = $resultsP->fetch_object()) {								
				?>
						<div class="row no-gutter equal-height-columns g-mb-30">
							<div class="col-md-6">
								<img class="img-responsive" src="./assets/img/panchakarma/<?php echo $objP->Pic ?>" alt="" />
							</div>
							<div class="col-md-6 oliveBoxPanel">
								<div class="oliveBoxPanelContent">
									<h1><?php echo $objP->Title ?></h1>
									<h2><?php echo $objP->SubTitle ?></h2>
									<!--p><?php echo trimText($objP->Description, 150) ?></p-->
									<!--a href="javascript:void(0);" class="btn-u btn-u-yellow-trans rounded uc ls-1">Read More</a-->
									<div class="block showmore">
										<p><?php echo $objP->Description; ?></p>
									</div>
									<!--a href="#EnquireModal" class="open-EnquireModal _enquirenow-btn btn-u btn-u-yellow-trans rounded uc ls-1 btnNextToReadMore" data-toggle="modal" data-title="<?php echo $objP->Title ?>">Enquire Now</a-->
								</div>
							</div>
						</div>
				<?php
					}
				}
				?>
				
			</div>
		</div>
			
		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
