<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
	<script type='text/javascript'>//<![CDATA[
	window.onload=function(){
	$('.fade-anchor').click(function(e){
		e.preventDefault();
		$('#fade-content').css('max-height','none');
		$('.fade-anchor').remove();
		});
	}//]]> 
	</script>	
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrSpiritualRetreat-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Yoga is the journey of self discovery</div>
			</div>
		</div>
		
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li><a href="./yoga">Yoga</a></li>
					<li class="active">Yoga & Spirituality</li>
				</ul>
			</div>
		</div>
	
		<div class="content-xs"><h1 class="ipTitle">Yoga & Spirituality</h1></div>
	
		<div class="content-xs">
			<div class="container">
		
				<div class="carousel slide carousel-fade carousel-v2" id="portfolio-carousel">
					<ol class="carousel-indicators">
						<li class="rounded-x active" data-target="#portfolio-carousel" data-slide-to="0"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="1"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="2"></li>
					</ol>
					<div class="carousel-inner">
						<div class="item active"><img class="img-responsive full-width" src="./assets/img/yoga/spiritual-yoga-retreats-slider-1.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/yoga/spiritual-yoga-retreats-slider-2.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/yoga/spiritual-yoga-retreats-slider-3.jpg" alt=""></div>
					</div>
					<!--a class="left carousel-control rounded-x" href="#portfolio-carousel" role="button" data-slide="prev"><i class="fa fa-angle-left arrow-prev"></i></a>
					<a class="right carousel-control rounded-x" href="#portfolio-carousel" role="button" data-slide="next"><i class="fa fa-angle-right arrow-next"></i></a-->
				</div>
				
				<h4 class="txt-center g-mt-30 g-mb-30">'Each soul is potentially divine. It is the purpose of our lives to manifest this divinity.'</h4>
				
				<p class="txt-justify">
					These are the immortal words of Swami Vivekananda, one of India's leading spiritual reformers of the late 20th century. He was referring to the vedantic philosophy, the bedrock of Yoga and Spirituality in India. These scriptures deal with the essential questions that all of us face at some stage in our lives: What is the purpose of my life? Who am I? What is the cause of my unhappiness? How can I be at peace in this world?<br /><br />
					The answer to any question we seek can be found within ourselves. The answer lies in our ability to tap into the inner silence - a silence that can be experienced through the processes of Yoga and Meditation. When we are in deep silence, our mind is clear, and we will see the world for what it is - an unbroken stream of pure consciousness. This Journey of Self Discovery is what is referred to as Yoga - which is a gamut of spiritual processes that harness and purify our mind/body system and allow us to look within ourselves. Yoga processes positively affect the physical, physiological, emotional, intellectual and spiritual facets of our personality. During the Retreat, we will follow the principles of Yoga as our formal training and will also learn from the Yoga Sutras of Patanjali - the codified philosophy that is a must for all who are interested in or are practicing yoga.<br /><br />
					The stress of urban living leaves its imprint on each of us, the chaotic noise makes it difficult for us to hear our inner voice; at Shreyas, a spiritual retreat, we give you an oasis of calm making it easier to relax and connect with your true self. From the moment you drive through our gates you are surrounded by nature and will begin to feel its restorative, rejuvenative effects.<br /><br />
					Shreyas is very inspired by Yoga, the Indian spiritual practice of looking deep within the Self for answers to questions of existence and being. We are dedicated to helping our guests achieve a perfect balance in body, mind and spirit, through the medium of Yoga, which is non denominational and open to people of all faiths. We demonstrate through our various customized spiritual retreat packages that contrary to popular belief - Yoga can be practiced by everyone. Yoga has an amazing effect on our body mind and energies allowing us to deal with life's bouquets and brickbats with sense of equanimity. We appeal to those who wish to understand/familiarise themselves with the philosophical tradition of India, without necessarily delving into its organised religious aspects.<br /><br />
					For enquiries and reservation formalities, please email: <a href="mailto:reservations@shreyasretreat.com">reservations@shreyasretreat.com</a><br /><br />
					Call Shreyas at +91 80 27737102 / 3 or +91 99161 10434
					<br/><br/>
					<a href="./package_details.php?id=4" class="btn-u btn-u-olive-trans rounded uc ls-1 ">Explore Yoga Retreat Packages</a>					
				</p>
			</div>
		</div>
		
		<!--div class="container-fluid">
			<img class="img-responsive img-center" src="./assets/img/yoga/spiritual-meditation-retreat-2.jpg" alt="" />

			<div class="spiritualRetreatBookingPanel">
				<div class="container">
					<div class="srbpContent">
						<h1>Spiritual &amp; Silent Yoga Retreats Booking Information</h1>
						<p class="txt-justify">You can book your Spiritual retreat aka Silent retreat through email or by giving us a direct call on below given numbers.</p>
						<p class="txt-justify">For Details Spiritual and Silent Retreat packages you can click here to Book your spiritual / Silent Retreat Package :- Silent retreat is designed to help you to step back, introspect, calm the mind and possibly realign and re prioritize your goals in life.</p>
						<p class="txt-justify">For enquiries and reservation formalities please contact Ms.Sood by email: <a href="mailto:reservations@shreyasretreat.com">reservations@shreyasretreat.com</a> or call Shreyas at +91 80 27737102 / 3 or +91 99161 10422</p>
						<p class="txt-justify">or you can simply fill the form here contact us and we'll contact you asap</p>
		 
						<h1>More Information</h1>
						<p class="txt-justify"><strong>Visa:</strong> Please note that all foreign passport holders require a valid Visa to visit India. This can be obtained for the Indian Consulate / /High Commission in your area and generally takes 7-10 days to be processed.</p>
						<p class="txt-justify"><strong>Check-in time:</strong> We have a 24-hour check-in policy. You can arrive at any time that suits you and check out at the (approximate) same time on the day of departure. For late check outs, extra charges are applicable.</p>
						<p class="txt-justify"><strong>Transfers:</strong> Shreyas provides airport transfers on request, at an additional charge. For packages of 5-nights duration or more, the transfers are included in the package.</p>
						<p class="txt-justify"><strong>Booking / Cancellation:</strong> As a small property, late cancellations have a very negative impact on us and we therefore require a 50% deposit to confirm your reservation. This deposit is refundable only if cancellations are made more than 30 days from the date of proposed arrival.</p>
						<p class="txt-justify"><strong>Meals:</strong> Gourmet vegetarian meals, with flavours from India, Southern Europe and the Orient, are carefully planned to complement the lifestyle you will be experiencing at the retreat. Our chefs are glad to cater to any dietary specifications or restrictions guests may have (wheat free / vegan / dairy free / low calorie etc). Meals are served at specific times in the dining hall, or al fresco in the lawns.</p>
						<p class="txt-justify"><strong>Alcohol:</strong> Alcohol is neither served nor permitted at Shreyas and guests are requested to kindly not bring their own for private consumption. We humbly believe that alcohol takes away from the experience and ambience we are trying to create for our guests.</p>
						<p class="txt-justify"><strong>Room Service:</strong> A limited menu is available for in-room dining, at an extra charge.</p>
						<p class="txt-justify"><strong>Local/ ISD/ STD calls:</strong> All calls will be charged to your account at cost plus appropriate government taxes.</p>
						<p class="txt-justify"><strong>Internet connection:</strong> Should you wish to use your laptop to connect to the Internet, we will arrange for a LAN lead to be delivered to your tent/cottage.</p>
						<p class="txt-justify"><strong>Drinking Water:</strong> The water in the retreat has been purified by passing it though a softening plant, ozone system, ultra violet and reverse-osmosis process. It is perfectly safe for drinking but we appreciate you may prefer to have bottled water, which will be charged to your account.</p>
						<p class="txt-justify"><strong>Room Cleaning:</strong> Rooms will be cleaned once a day. Should you require additional cleaning, please let one of the staff members know</p>
						<p class="txt-justify"><strong>Towels/Linen etc:</strong> To reduce environmental damage by washing detergents, towels/linens will be provided for the duration of your short stay and changed only on request.</p>
						<p class="txt-justify"><strong>Laundry:</strong> Laundry service is available on request.</p>
						<p class="txt-justify"><strong>Swimming Pool Towels:</strong> These are available by the poolside.</p>
						<p class="txt-justify"><strong>Steam Room:</strong> If you wish to use the steam room facilities, please give us 15 minutes time to operate the equipment.	</p>	
					</div>
				</div>
			</div>
		</div-->
			
		<div class="spacer-30"></div>	
			
			
		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
