<?php
/*
Plugin Name: Car Engine Capacities
Description: Declares a plugin that will create a Engine Capacities.
Version: 1.0
Author: Narendra Kumar
License: MOGUL
*/
?>
<?php
add_action( 'init', 'create_engine_capacities' );
function create_engine_capacities() {
    register_post_type( 'engine_capacities',
        array(
            'labels' => array(
                'name' => 'Engine Capacities',
                'singular_name' => 'Add Engine Capacities',
                'add_new' => 'Add New',
                'add_new_item' => 'Add Engine Capacities',
                'edit' => 'Edit',
                'edit_item' => 'Edit Engine Capacities',
                'new_item' => 'New Engine Capacities',
                'view' => 'View',
                'view_item' => 'View Engine Capacities',
                'search_items' => 'Search Engine Capacities',
                'not_found' => 'No Engine Capacities Found',
                'not_found_in_trash' => 'No Engine Capacities found in Trash',
                'parent' => 'Parent Location'
            ),
            'public' => true,
            'menu_position' => 15,
            'supports' => array( 'title' ),
            'taxonomies' => array( '' ),
            'menu_icon' => '',
            'has_archive' => true	
        )
    );
}

add_action( 'admin_init', 'my_engine_capacities_plugin' );

function my_engine_capacities_plugin() {
    add_meta_box( 'engine_capacities_meta_box',
        'Add Engine Capacities',
        'add_engine_capacities_meta_box',
        'engine_capacities',
		'normal', 
		'high'
    );
}

function add_engine_capacities_meta_box( $engine_capacities ) {
// Retrieve current location ID
    $engine_capacities_name = get_post_meta( $engine_capacities->ID, 'engine_capacities_name', true );
	$engine_bhp_count = get_post_meta( $engine_capacities->ID, 'engine_bhp_count', true );
	
	// power 
	$power_original = get_post_meta( $engine_capacities->ID, 'power_original', true );
	$power_tuning = get_post_meta( $engine_capacities->ID, 'power_tuning', true );
	
	// Torque 
	$torque_original = get_post_meta( $engine_capacities->ID, 'torque_original', true );
	$torque_tuning = get_post_meta( $engine_capacities->ID, 'torque_tuning', true );
	
	// Fuel 
	$fuel_saving_original = get_post_meta( $engine_capacities->ID, 'fuel_saving_original', true );
	$fuel_saving_with_tuning = get_post_meta( $engine_capacities->ID, 'fuel_saving_with_tuning', true );
	$fuel_saving_inc = get_post_meta( $engine_capacities->ID, 'fuel_saving_inc', true );
	
	//price
	$come_to_us = get_post_meta( $engine_capacities->ID, 'come_to_us', true );
	$come_to_us_dyno = get_post_meta( $engine_capacities->ID, 'come_to_us_dyno', true );
	$we_come_to_you = get_post_meta( $engine_capacities->ID, 'we_come_to_you', true );
	$mail_order = get_post_meta( $engine_capacities->ID, 'mail_order', true );
	$diy = get_post_meta( $engine_capacities->ID, 'diy', true );

	$car_model_year_id = intval( get_post_meta( $engine_capacities->ID, 'car_model_year_id', true ) );
  
    ?>
	
    <table>
       
        <tr>
			<td style="width: 150px">Select Car Model Year</td>
            <td>
				<select style="width:300px; height:40px;" name="car_model_year_id">
                <?php
                // Generate all items of drop-down list
                $mypost = array( 'post_type' => 'model_year', );
    		$loop = new WP_Query( $mypost );
                while ( $loop->have_posts() ) : $loop->the_post();
                 $value=get_the_ID();
                ?>
                
                    <option value="<?php  echo the_ID() ; ?>" <?php if($value == $car_model_year_id){ echo "selected" ; }?> >
                    <?php  the_title() ;  
                    
                    
                    endwhile; ?>
                </select>
            </td>
        </tr>
        
         <tr>
            <td style="width: 150px">Engine Capacities</td>
            <td>
            <input type="text" name="engine_capacities_name" style="width:300px; height:40px;" value="<?php echo $engine_capacities_name; ?>"/>
            </td>
        </tr>
        
          <tr>
            <td style="width: 150px"> BHP Count</td>
            <td>
            <input type="text" name="engine_bhp_count" style="width:300px; height:40px;" value="<?php echo $engine_bhp_count; ?>"/>
            </td>
        </tr>
        <tr>
       		 <td style="width: 150px"></td>
            <td style="width: 350px;height:50px;"> <strong>Engine Power in hp</strong></td>
           
        </tr>
        
         <tr>
            <td style="width: 150px"> Original</td>
            <td>
            <input type="text" name="power_original" style="width:300px; height:40px;" value="<?php echo $power_original; ?>"/>
            </td>
        </tr>
        
         <tr>
            <td style="width: 150px">After Tuning</td>
            <td>
            <input type="text" name="power_tuning" style="width:300px; height:40px;" value="<?php echo $power_tuning; ?>"/>
            </td>
        </tr>
        
        <tr>
         	<td style="width: 150px"></td>
            <td style="width: 350px;height:50px;"> <strong>Engine Torque in Nm</strong></td>
           
        </tr>
        
         <tr>
            <td style="width: 150px"> Original</td>
            <td>
            <input type="text" name="torque_original" style="width:300px; height:40px;" value="<?php echo $torque_original; ?>"/>
            </td>
        </tr>
        
         <tr>
            <td style="width: 150px">After Tuning</td>
            <td>
            <input type="text" name="torque_tuning" style="width:300px; height:40px;" value="<?php echo $torque_tuning; ?>"/>
            </td>
        </tr>
        
        
         <tr>
         	<td style="width: 150px"></td>
            <td style="width: 350px;height:50px;"> <strong>Fuel Saving</strong></td>
           
        </tr>
        
         <tr>
            <td style="width: 150px"> Original</td>
            <td>
            <input type="text" name="fuel_saving_original" style="width:300px; height:40px;" value="<?php echo $fuel_saving_original; ?>"/>
            </td>
        </tr>
        
         <tr>
            <td style="width: 150px">After Tuning</td>
            <td>
            <input type="text" name="fuel_saving_with_tuning" style="width:300px; height:40px;" value="<?php echo $fuel_saving_with_tuning; ?>"/>
            </td>
        </tr>
        
         <tr>
            <td style="width: 150px">Percentage</td>
            <td>
            <input type="text" name="fuel_saving_inc" style="width:300px; height:40px;" value="<?php echo $fuel_saving_inc; ?>"/>
            </td>
        </tr>
        
          <tr>
         	<td style="width: 150px"></td>
            <td style="width: 350px;height:50px;"> <strong>Price</strong></td>
           
        </tr>
        
         <tr>
            <td style="width: 150px"> Come to Us (No Dyno Tune)</td>
            <td>
            <input type="text" name="come_to_us" style="width:300px; height:40px;" value="<?php echo $come_to_us; ?>"/>
            </td>
        </tr>
        
         <tr>
            <td style="width: 150px">Come to Us (With Dyno Tune)</td>
            <td>
            <input type="text" name="come_to_us_dyno" style="width:300px; height:40px;" value="<?php echo $come_to_us_dyno; ?>"/>
            </td>
        </tr>
        
         <tr>
            <td style="width: 150px">We Come To You</td>
            <td>
            <input type="text" name="we_come_to_you" style="width:300px; height:40px;" value="<?php echo $we_come_to_you; ?>"/>
            </td>
        </tr>
        
        <tr>
            <td style="width: 150px">Mail Order</td>
            <td>
            <input type="text" name="mail_order" style="width:300px; height:40px;" value="<?php echo $mail_order; ?>"/>
            </td>
        </tr>
        
         <tr>
            <td style="width: 150px">DIY</td>
            <td>
            <input type="text" name="diy" style="width:300px; height:40px;" value="<?php echo $diy; ?>"/>
            </td>
        </tr>
        
        
    </table>
	
    <?php 
}  
add_action( 'save_post', 'save_engine_capacities', 10, 2 );

function save_engine_capacities( $engine_capacities_id, $engine_capacities ) {
    // Check post type for movie reviews
    if ( $engine_capacities->post_type == 'engine_capacities' ) 
	{
        // Store data in post meta table if present in post data
        if ( isset( $_POST['engine_capacities_name'] ) && $_POST['engine_capacities_name'] != '' ) 
		{
            update_post_meta( $engine_capacities_id, 'engine_capacities_name', $_POST['engine_capacities_name'] );
        }
		
		if ( isset( $_POST['car_model_year_id'] ) && $_POST['car_model_year_id'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'car_model_year_id', $_POST['car_model_year_id'] );
		}
		
		if ( isset( $_POST['engine_bhp_count'] ) && $_POST['engine_bhp_count'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'engine_bhp_count', $_POST['engine_bhp_count'] );
		}
		
		//Power
		
		if ( isset( $_POST['power_original'] ) && $_POST['power_original'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'power_original', $_POST['power_original'] );
		}
		
		if ( isset( $_POST['power_tuning'] ) && $_POST['power_tuning'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'power_tuning', $_POST['power_tuning'] );
		}
		
		//Torque
		
		if ( isset( $_POST['torque_original'] ) && $_POST['torque_original'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'torque_original', $_POST['torque_original'] );
		}
		
		if ( isset( $_POST['torque_tuning'] ) && $_POST['torque_tuning'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'torque_tuning', $_POST['torque_tuning'] );
		}
		
		//Fuel
		
		if ( isset( $_POST['fuel_saving_original'] ) && $_POST['fuel_saving_original'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'fuel_saving_original', $_POST['fuel_saving_original'] );
		}
		
		if ( isset( $_POST['fuel_saving_with_tuning'] ) && $_POST['fuel_saving_with_tuning'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'fuel_saving_with_tuning', $_POST['fuel_saving_with_tuning'] );
		}
		
		if ( isset( $_POST['fuel_saving_inc'] ) && $_POST['fuel_saving_inc'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'fuel_saving_inc', $_POST['fuel_saving_inc'] );
		}
		
		//price
		
		if ( isset( $_POST['come_to_us'] ) && $_POST['come_to_us'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'come_to_us', $_POST['come_to_us'] );
		}
		
		if ( isset( $_POST['come_to_us_dyno'] ) && $_POST['come_to_us_dyno'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'come_to_us_dyno', $_POST['come_to_us_dyno'] );
		}
		
		if ( isset( $_POST['we_come_to_you'] ) && $_POST['we_come_to_you'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'we_come_to_you', $_POST['we_come_to_you'] );
		}
		
		if ( isset( $_POST['mail_order'] ) && $_POST['mail_order'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'mail_order', $_POST['mail_order'] );
		}
		
		if ( isset( $_POST['diy'] ) && $_POST['diy'] != '' )
		{
			update_post_meta( $engine_capacities_id, 'diy', $_POST['diy'] );
		}
		
    }
}