<?php
/*
Plugin Name: Car Model Year
Description: Declares a plugin that will create a Model Year.
Version: 1.0
Author: Narendra Kumar
License: MOGUL
*/
?>
<?php
add_action( 'init', 'create_model_year' );
function create_model_year() {
    register_post_type( 'model_year',
        array(
            'labels' => array(
                'name' => 'Car Model Year',
                'singular_name' => 'Add Car Model Year',
                'add_new' => 'Add New',
                'add_new_item' => 'Add Car Model Year',
                'edit' => 'Edit',
                'edit_item' => 'Edit Model Year',
                'new_item' => 'New Model Year',
                'view' => 'View',
                'view_item' => 'View Model Year',
                'search_items' => 'Search Model Year',
                'not_found' => 'No Model Year Found',
                'not_found_in_trash' => 'No Model Year found in Trash',
                'parent' => 'Parent Location'
            ),
            'public' => true,
            'menu_position' => 15,
            'supports' => array( 'title' ),
            'taxonomies' => array( '' ),
            'menu_icon' => '',
            'has_archive' => true	
        )
    );
}

add_action( 'admin_init', 'my_model_year_plugin' );

function my_model_year_plugin() {
    add_meta_box( 'model_year_meta_box',
        'Add Car model year',
        'add_model_year_meta_box',
        'model_year',
		'normal', 
		'high'
    );
}

function add_model_year_meta_box( $model_year ) {
// Retrieve current location ID
    $model_year_name = get_post_meta( $model_year->ID, 'model_year_name', true );
	 $car_model_id = intval( get_post_meta( $model_year->ID, 'car_model_id', true ) );
  
    ?>
	
    <table>
       
        
        <tr>
			<td style="width: 150px">Select Car Model</td>
            <td>
				<select style="width:300px; height:40px;" name="car_model_id">
                <?php
                // Generate all items of drop-down list
                $mypost = array( 'post_type' => 'car_model', );
    		$loop = new WP_Query( $mypost );
                while ( $loop->have_posts() ) : $loop->the_post();
                 $value=get_the_ID();
                ?>
                
                    <option value="<?php  echo the_ID() ; ?>" <?php if($value == $car_model_id){ echo "selected" ; }?> >
                    <?php  the_title() ;  
                    
                    
                    endwhile; ?>
                </select>
            </td>
        </tr>
        
         <tr>
            <td style="width: 150px">Add Car Model Year</td>
            <td>
            <input type="text" name="model_year_name" style="width:300px; height:40px;" value="<?php echo $model_year_name; ?>"/>
            </td>
        </tr>
        
        
    </table>
	
    <?php 
}  
add_action( 'save_post', 'save_model_year', 10, 2 );

function save_model_year( $model_year_id, $model_year ) {
    // Check post type for movie reviews
    if ( $model_year->post_type == 'model_year' ) 
	{
        // Store data in post meta table if present in post data
        if ( isset( $_POST['model_year_name'] ) && $_POST['model_year_name'] != '' ) 
		{
            update_post_meta( $model_year_id, 'model_year_name', $_POST['model_year_name'] );
        }
		
		if ( isset( $_POST['car_model_id'] ) && $_POST['car_model_id'] != '' )
		{
			update_post_meta( $model_year_id, 'car_model_id', $_POST['car_model_id'] );
		}
			
        
    }
}